Create Balance - m3ter Documentation

Create Balance

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/balances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>",
  "name": "<string>",
  "accountId": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "currency": "<string>",
  "version": 123,
  "customFields": {},
  "description": "<string>",
  "rolloverAmount": 1,
  "rolloverEndDate": "2023-11-07T05:31:56Z",
  "balanceDrawDownDescription": "<string>",
  "overageSurchargePercent": 123,
  "overageDescription": "<string>",
  "productIds": [
    "<string>"
  ],
  "lineItemTypes": [],
  "contractId": "<string>",
  "consumptionsAccountingProductId": "<string>",
  "feesAccountingProductId": "<string>",
  "allowOverdraft": false,
  "grant": false
}
'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/balances"

payload = {
    "code": "<string>",
    "name": "<string>",
    "accountId": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "currency": "<string>",
    "version": 123,
    "customFields": {},
    "description": "<string>",
    "rolloverAmount": 1,
    "rolloverEndDate": "2023-11-07T05:31:56Z",
    "balanceDrawDownDescription": "<string>",
    "overageSurchargePercent": 123,
    "overageDescription": "<string>",
    "productIds": ["<string>"],
    "lineItemTypes": [],
    "contractId": "<string>",
    "consumptionsAccountingProductId": "<string>",
    "feesAccountingProductId": "<string>",
    "allowOverdraft": False,
    "grant": False
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    code: '<string>',
    name: '<string>',
    accountId: '<string>',
    startDate: '2023-11-07T05:31:56Z',
    endDate: '2023-11-07T05:31:56Z',
    currency: '<string>',
    version: 123,
    customFields: {},
    description: '<string>',
    rolloverAmount: 1,
    rolloverEndDate: '2023-11-07T05:31:56Z',
    balanceDrawDownDescription: '<string>',
    overageSurchargePercent: 123,
    overageDescription: '<string>',
    productIds: ['<string>'],
    lineItemTypes: [],
    contractId: '<string>',
    consumptionsAccountingProductId: '<string>',
    feesAccountingProductId: '<string>',
    allowOverdraft: false,
    grant: false
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/balances', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/balances",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'code' => '<string>',
    'name' => '<string>',
    'accountId' => '<string>',
    'startDate' => '2023-11-07T05:31:56Z',
    'endDate' => '2023-11-07T05:31:56Z',
    'currency' => '<string>',
    'version' => 123,
    'customFields' => [],
    'description' => '<string>',
    'rolloverAmount' => 1,
    'rolloverEndDate' => '2023-11-07T05:31:56Z',
    'balanceDrawDownDescription' => '<string>',
    'overageSurchargePercent' => 123,
    'overageDescription' => '<string>',
    'productIds' => ['<string>'],
    'lineItemTypes' => [],
    'contractId' => '<string>',
    'consumptionsAccountingProductId' => '<string>',
    'feesAccountingProductId' => '<string>',
    'allowOverdraft' => false,
    'grant' => false
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/balances"

payload := strings.NewReader("{\n  \"code\": \"<string>\",\n  \"name\": \"<string>\",\n  \"accountId\": \"<string>\",\n  \"startDate\": \"2023-11-07T05:31:56Z\",\n  \"endDate\": \"2023-11-07T05:31:56Z\",\n  \"currency\": \"<string>\",\n  \"version\": 123,\n  \"customFields\": {},\n  \"description\": \"<string>\",\n  \"rolloverAmount\": 1,\n  \"rolloverEndDate\": \"2023-11-07T05:31:56Z\",\n  \"balanceDrawDownDescription\": \"<string>\",\n  \"overageSurchargePercent\": 123,\n  \"overageDescription\": \"<string>\",\n  \"productIds\": [\n    \"<string>\"\n  ],\n  \"lineItemTypes\": [],\n  \"contractId\": \"<string>\",\n  \"consumptionsAccountingProductId\": \"<string>\",\n  \"feesAccountingProductId\": \"<string>\",\n  \"allowOverdraft\": false,\n  \"grant\": false\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Data Structure of the Response

{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "code": "<string>",
  "name": "<string>",
  "description": "<string>",
  "accountId": "<string>",
  "amount": 123,
  "currency": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "rolloverAmount": 123,
  "rolloverEndDate": "2023-11-07T05:31:56Z",
  "balanceDrawDownDescription": "<string>",
  "overageSurchargePercent": 123,
  "overageDescription": "<string>",
  "productIds": ["<string>"],
  "lineItemTypes": [],
  "contractId": "<string>",
  "consumptionsAccountingProductId": "<string>",
  "feesAccountingProductId": "<string>",
  "allowOverdraft": true,
  "grant": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}

Common Errors

{
  "message": "<string>"
}